package com.fizz.business.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fizz.business.domain.CrmPdoExcoil;
import com.fizz.business.domain.PdoExcoil;
import com.fizz.business.form.CrmPdoExcoilForm;
import com.fizz.business.vo.ReportDetailVO;
import com.fizz.business.vo.ReportSummaryVO;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

public interface CrmPdoExcoilService extends IService<CrmPdoExcoil> {
    CrmPdoExcoil getByExcoilId(String excoilid);

    boolean addCrmPdoExcoil(CrmPdoExcoil crmPdoExcoil);

    boolean updateCrmPdoExcoil(CrmPdoExcoil crmPdoExcoil);

    boolean deleteCrmPdoExcoil(String excoilid, String planId);

    List<CrmPdoExcoil> listAll(CrmPdoExcoilForm form);

    Long getNumber(String matId,String planId,Integer subNumber);

    ReportSummaryVO getReportSummary(String groupNo, String shiftNo, LocalDateTime startTime, LocalDateTime endTime);

    List<ReportDetailVO> getReportDetails(String groupNo, String shiftNo, LocalDateTime startTime, LocalDateTime endTime);

    void updateExitCoilActualWeight(String exitMatId, BigDecimal weight);
}

